package com.platform.yijia.controller;

import com.google.gson.Gson;
import com.platform.yijia.param.request.PayInfoRequest;
import com.platform.yijia.pojo.CustomerElectronicCard;
import com.platform.yijia.service.ElectronicMembershipCardService;
import com.platform.yijia.utils.CodeMsg;
import com.platform.yijia.utils.ResultData;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/*
 * <Title> ElectronicMembershipCardController </Title>
 * <Description> 电子会员卡（储蓄卡）功能模块 </Description>
 * @Author JK
 * @Date 2021年3月22日
 */
@Controller
@RequestMapping("/demo")
public class ElectronicMembershipCardController {
    @Resource
    private ElectronicMembershipCardService electronicMembershipCardService;

    //获取用户储蓄卡列表
    @RequestMapping(value = "/getElectronicCardList", method = RequestMethod.GET)
    @ResponseBody
    public String getElectronicCardList(@RequestParam Integer stationId, String unionId){
        Gson gson =new Gson();
        //返回结果集
        ResultData resultData = null;
        if(stationId !=null && unionId !=null){
            CustomerElectronicCard customerElectronicCard = new CustomerElectronicCard();
            customerElectronicCard.setStationId(stationId);
            customerElectronicCard.setUnionId(unionId);
            List<CustomerElectronicCard> electronicCardList = electronicMembershipCardService.getElectronicCardList(customerElectronicCard);
            resultData = ResultData.success(electronicCardList);
        }else {
            resultData = ResultData.error(CodeMsg.REQUEST_FAIL);
        }
        return gson.toJson(resultData);
    }

    //用户充值储蓄卡
    @RequestMapping(value = "/rechargeBalance", method = RequestMethod.POST)
    @ResponseBody
    public String rechargeBalance(@RequestBody PayInfoRequest payInfoRequest){
        Gson gson =new Gson();
        //返回结果集
        ResultData resultData = null;
        if(payInfoRequest !=null){
            resultData = ResultData.success("开发中...");
        }else {
            resultData = ResultData.error(CodeMsg.REQUEST_FAIL);
        }
        return gson.toJson(resultData);
    }

    //获取用户储蓄卡充值记录
    @RequestMapping(value = "/getCardRechargeRecord", method = RequestMethod.GET)
    @ResponseBody
    public String getCardRechargeRecord(@RequestParam Integer stationId, String unionId){
        Gson gson =new Gson();
        //返回结果集
        ResultData resultData = null;
        if(stationId !=null && unionId !=null){
            resultData = ResultData.success("开发中...");
        }else {
            resultData = ResultData.error(CodeMsg.REQUEST_FAIL);
        }
        return gson.toJson(resultData);
    }

    //获取用户储蓄卡消费记录
    @RequestMapping(value = "/getCardConsumptionRecord", method = RequestMethod.GET)
    @ResponseBody
    public String getCardConsumptionRecord(@RequestParam Integer stationId, String unionId){
        Gson gson =new Gson();
        //返回结果集
        ResultData resultData = null;
        if(stationId !=null && unionId !=null){
            resultData = ResultData.success("开发中...");
        }else {
            resultData = ResultData.error(CodeMsg.REQUEST_FAIL);
        }
        return gson.toJson(resultData);
    }


}
